Je souhaite mettre des ref biblio avec AMC (pour les corrigés avec \explain) 
J'utilise le super paquetage biblatex, qui impose 
* d'écrire commande \printbliography (que j'ai mis à la fin de mon fichier principal)
* de lancer biber entre deux compilations

J'ai indiqué dans l'entête : 
% ATTENTION choisir l'impression ou non des isbn, url, doi, eprint (par défaut, elles sont imprimées)
\usepackage[style=alphabetic,...,backend=biber]{biblatex}

Quand je compile mon document manuellement, la biblio apparaît mais seulement une seule fois à la fin des 
différentes copies et non une fois par copie
QUand j'utilise AMC, il ne reconnait pas la commande \printbliography et donc ne créée pas de biblio.

Cordialement.

History
09/25/2024 03:39 pm - Frédéric Bréal
Je ne sais pas utiliser ce paquet.
Pouvez-vous mettre un exemple simple avec un modèle d'AMC ?
Pourriez-vous tenter d'adapter la méthode du paquet @cleveref@ avec ce paquet (@\AMCstudentlabel@) ?

09/26/2024 07:59 am - Alexis Bienvenüe
@biblatex@ est un programme qui doit être lancé entre deux passes avec latex.
Pour obtenir ce résultat, vous devez vous inspirer de ce qui est fait pour utiliser @pythontex@, avec une ligne @%%AMC:preprocess_command@ en 
début de votre fichier source. Voir par exemple le fil message#14319.
N'hésitez pas à faire un retour précis ici pour montrer ce qui marche;)
 

09/26/2024 08:00 am - Alexis Bienvenüe
- Tracker changed from Bug to Support

09/26/2024 08:02 am - Alexis Bienvenüe
Autre solution : copiez le fichier fabriqué par @biblatex@ dans votre répertoire projet, ou lancez @biblatex@ à la main une fois (ou à chaque fois que 
vos références biblio changent) dans votre projet.

10/12/2024 01:19 pm - Jérôme Bastien
- File exemple_QCM.pdf added

Bonjour et merci

J'ai essayé les trois solutions suggérées par Alexis : 
a) 
mettre %%AMC:preprocess_command=biber nom_fichier
(en fait biblatex est un package et c'est biber qui doit être lancé effectivement entre deux passes LaTeX). 
b) lancer biber à la main dans mon projet
c) copier les fichiers par biblatex 

Aucune ne marche. Il ne reconnaît pas à la compilation la commande \printbibliography

dans le rapport .log, je vois

! Undefined control sequence.
\principal ...r \par \par \par \printbibliography 
                                                  \par \par \par \par \end {...
l.261 
                
The control sequence at the end of the top line
of your error message was never \def'ed. If you have
misspelled it (e.g., `\hobx'), type `I' and the correct
spelling (e.g., `I\hbox'). Otherwise just continue,
and I'll forget about whatever was undefined.

Mais finalement, ce n'est pas si grave dans mon cas : j'utilise AMC pour créer et corriger les copies (sans biblio). Pour générer le fichier 
DOC-indiv-solution.pdf, je compile manuellement mon fichier avec Latex et biber et ça marche. VOir l'exemple joint dans lequel je n'imprime la biblio 
qu'une seule fois, à la fin du document.
Les renvoie hypertexte vers la biblio fonctionnent bien mais pas ceux vers les numéros d'équation du corrigé mais ce n'est pas si grave ...

MERCI !!
